Sankeys
Update Sankey
PATCH
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringsankeyId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidapplication/json- body
name?|nulldescription?|null|nulldefinition?|nulldisplay?|nulldashboardId?string|null|nullfolderId?string|null|nullposition?|null|nullSankeyRecord
application/json- response
id*stringprojectId*stringname*stringdescription*string|nulldefinition*display*dashboardId*string|nullfolderId*string|nullnotebookId?string|null|nullposition*|nullcreatedAt*stringupdatedAt*stringcurl -X PATCH 'https://api.faststats.dev/v0/projects/string/sankeys/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "projectId": "string", "name": "string", "description": "string", "definition": { "days": 1, "stepCount": 2, "nodesPerStep": 2, "minSessions": 1, "pathType": "all", "walkBy": "session", "pageLabel": "path", "groupUrls": true, "collapseRepeats": true, "startPoint": "string", "startOccurrence": "first", "endPoint": "string", "endOccurrence": "first", "include": [ "string" ], "exclude": [ "string" ], "rules": [ { "pattern": "string", "replacement": "string" } ], "filters": [ { "field": "step", "operator": "is", "values": [ "string" ] } ], "goal": "string", "maxGapMinutes": 0, "hideSingleStep": true, "eventProperty": "string", "breakdown": "country", "compare": true }, "display": { "view": "flow", "values": "count", "showDropOffs": true, "showOther": true }, "dashboardId": "string", "folderId": "string", "notebookId": "string", "position": { "x": 0, "y": 0, "w": 0, "h": 0 }, "createdAt": "string", "updatedAt": "string"}curl -X PATCH 'https://api.faststats.dev/v0/projects/string/sankeys/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-H 'Content-Type: application/json' \
-d '{}'{
"id": "string",
"projectId": "string",
"name": "string",
"description": "string",
"definition": {
"days": 1,
"stepCount": 2,
"nodesPerStep": 2,
"minSessions": 1,
"pathType": "all",
"walkBy": "session",
"pageLabel": "path",
"groupUrls": true,
"collapseRepeats": true,
"startPoint": "string",
"startOccurrence": "first",
"endPoint": "string",
"endOccurrence": "first",
"include": [
"string"
],
"exclude": [
"string"
],
"rules": [
{
"pattern": "string",
"replacement": "string"
}
],
"filters": [
{
"field": "step",
"operator": "is",
"values": [
"string"
]
}
],
"goal": "string",
"maxGapMinutes": 0,
"hideSingleStep": true,
"eventProperty": "string",
"breakdown": "country",
"compare": true
},
"display": {
"view": "flow",
"values": "count",
"showDropOffs": true,
"showOther": true
},
"dashboardId": "string",
"folderId": "string",
"notebookId": "string",
"position": {
"x": 0,
"y": 0,
"w": 0,
"h": 0
},
"createdAt": "string",
"updatedAt": "string"
}